Bug 983762 - synergy: /builddir/build/BUILD/synergy-1.4.10-Source/src/lib/synergy/CClientApp.cpp,163
synergy: /builddir/build/BUILD/synergy-1.4.10-Source/src/lib/synergy/CClientA...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: synergy (Show other bugs)
20
All Linux
high Severity high
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 18:27 EDT by Douglas Schilling Landgraf
Modified: 2015-06-29 08:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:04:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Douglas Schilling Landgraf 2013-07-11 18:27:33 EDT
Description of problem:

$ synergyc --daemon --restart -n blue.domain.local red.domain.local
2013-07-11T19:23:15 INFO: Synergy 1.4.10 Client on Linux 3.9.4-301.fc19.x86_64 #1 SMP Tue Jun 4 00:30:04 UTC 2013 x86_64
	/builddir/build/BUILD/synergy-1.4.10-Source/src/lib/synergy/CClientApp.cpp,163

$ ps aux | grep -i synergyc
douglas  14636  0.0  0.0 112644   924 pts/5    S+   19:23   0:00 grep --color=auto -i synergyc

Version-Release number of selected component (if applicable):

synergy-1.4.10-1.fc19.x86_64

How reproducible:

1) Install synergy
2) Try to run above command.

Actual results:

synergy daemon is not initialized.

Expected results:

synergy daemon be initialized.

Additional info:

synergy-1.3.7-7.fc19.x86_64.rpm works.
Comment 1 Marcelo Moreira de Mello 2013-07-11 19:51:26 EDT
Hello Douglas, 

  It's working to me. Look below:

### SERVER
------------------
~ $ rpm -q synergy
synergy-1.4.10-1.fc19.x86_64

~ $ ps aux | grep synergy
mdemello  2425  0.1  0.0 129392  3448 ?        Ssl  Jul08   6:13 synergys -a 192.168.169.2 --daemon -n theo.mmello.local -c /home/mdemello/.synergy.conf

#conf file on the server
~ $ cat .synergy.conf 
section: screens
 theo.mmello.local:
 t530.mmello.local:
 sophie.mmello.local:
end 

section: links
    theo.mmello.local:
        left = t530.mmello.local
        up = sophie.mmello.local
    t530.mmello.local:
        right = theo.mmello.local
    sophie.mmello.local:
        down  = theo.mmello.local
end

section: options
    heartbeat = 500
    screenSaverSync = true
end



### CLIENT 
------------------
t530> rpm -q synergy
synergy-1.4.10-1.fc19.x86_64

t530> ps aux | grep syner
mdemello  3689  0.4  0.0 130832  2904 ?        Ssl  11:00   2:56 synergyc --name t530.mmello.local theo.mmello.local

conf file on the client
-------------------
t530> cat .synergy.conf 
section: screens
 t530.mmello.local:
 sophie.mmello.local:
 theo.mmello.local:
end.

section: links
    t530.mmello.local:
        right = theo.mmello.local
    sophie.mmello.local:
        down  = theo.mmello.local
    theo.mmello.local:
        left = t530.mmello.local
        up = sophie.mmello.local
end

section: options
    heartbeat = 500 
    screenSaverSync = true
end
Comment 2 Marcelo Moreira de Mello 2013-07-11 19:52:59 EDT
 works

~ $ synergys --daemon --restart -a 192.168.169.2 --daemon -n theo.mmello.local -c /home/mdemello/.synergy.conf
2013-07-11T20:52:31 INFO: Synergy 1.4.10 Server on Linux 3.9.8-300.fc19.x86_64 #1 SMP Thu Jun 27 19:24:23 UTC 2013 x86_64
	/builddir/build/BUILD/synergy-1.4.10-Source/src/lib/synergy/CServerApp.cpp,145
2013-07-11T20:52:31 DEBUG: opening configuration "/home/mdemello/.synergy.conf"
	/builddir/build/BUILD/synergy-1.4.10-Source/src/lib/synergy/CServerApp.cpp,270
2013-07-11T20:52:31 DEBUG: configuration read successfully
	/builddir/build/BUILD/synergy-1.4.10-Source/src/lib/synergy/CServerApp.cpp,281
~ $ ps aux | grep syner
mdemello 13027  0.2  0.0 128584  2540 ?        Ssl  20:52   0:00 synergys --daemon --restart -a 192.168.169.2 --daemon -n theo.mmello.local -c /home/mdemello/.synergy.conf
mdemello 13071  0.0  0.0 112656   920 pts/0    S+   20:52   0:00 grep --color=auto syner
Comment 3 John Poelstra 2014-02-19 22:58:22 EST
I have the same problem as the original reporter.  I'm trying to connect a Fedora 19 client to a Ubuntu 12.04 server.

I tried installing the latest upstream rpm and it did not fix my problem.

Any suggested workarounds would be greatly appreciated.
Comment 4 John Poelstra 2014-02-20 17:43:38 EST
Bumping version to "20" as I can reproduce it there too with the same error message.

Correction my previous comment... I was NOT able to try the upstream version because of a failed ssl dependency.  Sorry for putting that in the comments.. I mixed them up with other OS I was trying.  From a Mac I was able to connect to the same Ubuntu Synergy server.
Comment 5 Fedora End Of Life 2015-05-29 05:10:35 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 08:04:34 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.